Name:		python-pysqlite
Version:	2.8.2
Release:	2
Summary:	Python interface to Sqlite3
License:	zlib
URL:		http://github.com/ghaering/pysqlite
Source0:	https://pypi.python.org/packages/cc/a4/023ee9dba54b3cf0c5a4d0fb2f1ad80332ef23549dd4b551a9f2cbe88786/pysqlite-2.8.2.tar.gz

BuildRequires:	python-setuptools
BuildRequires:  sqlite-devel
BuildRequires:  python2-devel
# There is no documentation to be built
# BuildRequires:  python-sphinx
Requires:	sqlite
Requires:	python2

%description
pysqlite is an interface to the SQLite 3.x embedded relational database engine. It is almost fully compliant with the Python database API version 2.0 also exposes the unique features of SQLite.

%prep
%setup -n pysqlite-2.8.2

%build
CFLAGS=$RPM_OPT_FLAGS %{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/pysqlite2/test
rm -rf $RPM_BUILD_ROOT/usr/pysqlite2-doc

%files
%dir %{python_sitearch}/pysqlite2
%{python_sitearch}/pysqlite2/_sqlite.so
%{python_sitearch}/pysqlite2/*.py*
%{python_sitearch}/pysqlite-2.8.2-py2.7.egg-info
%doc LICENSE

%changelog
* Mon Jun 27 2016 Martin Wilck 2.8.2-1
- First build
